<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\InvoiceValidation;
use App\Models\User;

class InvoiceValidationPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any InvoiceValidation');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, InvoiceValidation $invoicevalidation): bool
    {
        return $user->checkPermissionTo('view InvoiceValidation');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create InvoiceValidation');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, InvoiceValidation $invoicevalidation): bool
    {
        return $user->checkPermissionTo('update InvoiceValidation');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, InvoiceValidation $invoicevalidation): bool
    {
        return $user->checkPermissionTo('delete InvoiceValidation');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any InvoiceValidation');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, InvoiceValidation $invoicevalidation): bool
    {
        return $user->checkPermissionTo('restore InvoiceValidation');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any InvoiceValidation');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, InvoiceValidation $invoicevalidation): bool
    {
        return $user->checkPermissionTo('replicate InvoiceValidation');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder InvoiceValidation');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, InvoiceValidation $invoicevalidation): bool
    {
        return $user->checkPermissionTo('force-delete InvoiceValidation');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any InvoiceValidation');
    }
}
